Subject: Re: [PATCH 3/3] clk: mediatek: support COMMON_CLK_MT8192 module build

From: Stephen Boyd <[email-masked]>
Date: Fri, 14 Jan 2022 14:19:28 -0800

Quoting Miles Chen (2022-01-14 00:35:10)
> Hi,
> 
> >Have you tried removing the modules? And then reloading them? I also see
> 
> Thanks for the comment.
> I did not try it because we do not unload our clk modules.
> After testing I understand that the clock driver does not unregister clks so 
> we cannot remove then unload it.
> 
> I think I have to add some unregister logic to these drivers.

Yes

> 
> >that mtk_clk_simple_probe() doesn't actually unregister anything, it
> >just frees some allocations. Please fix this before making these
> >modules.
> 
> You meant that mtk_clk_simple_probe() has no unregister logic in error path?
> 

Yes

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel